> ## Documentation Index
> Fetch the complete documentation index at: https://docs.gumloop.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get artifact access

> Read the people, teams, organization, and link access for an artifact. The caller must be allowed to view its access settings.



## OpenAPI

````yaml get /artifacts/{artifact_id}/access
openapi: 3.0.0
info:
  title: Public API
  version: 1.0.0
servers:
  - url: https://api.gumloop.com/api/v1
security: []
paths:
  /artifacts/{artifact_id}/access:
    get:
      tags:
        - Artifacts
      summary: Get artifact access
      description: >-
        Read the people, teams, organization, and link access for an artifact.
        The caller must be allowed to view its access settings.
      operationId: getArtifactAccess
      parameters:
        - name: artifact_id
          in: path
          required: true
          schema:
            type: string
        - name: team_id
          in: query
          required: false
          schema:
            type: string
          description: Team scope when using a team API key.
      responses:
        '200':
          description: Artifact access settings.
          content:
            application/json:
              schema:
                type: object
                required:
                  - access
                properties:
                  access:
                    $ref: '#/components/schemas/ItemAccess'
        '401':
          description: Unauthorized — missing or invalid credentials.
        '403':
          description: Forbidden — the caller cannot view access settings.
        '404':
          description: Artifact not found.
      security:
        - bearerAuth: []
components:
  schemas:
    ItemAccess:
      type: object
      required:
        - people
        - password_protected
        - teams
        - organization_access
        - link
        - link_role
        - grants_visibility
      properties:
        people:
          type: array
          items:
            type: object
            required:
              - email
              - name
              - role
            properties:
              email:
                type: string
              name:
                type: string
              role:
                type: string
        password_protected:
          type: boolean
        teams:
          type: array
          items:
            type: object
            required:
              - team_id
              - role
            properties:
              team_id:
                type: string
              role:
                type: string
        organization_access:
          type: object
          nullable: true
          required:
            - role
          properties:
            role:
              type: string
        link:
          type: string
          enum:
            - none
            - anyone
            - password
        link_role:
          type: string
          nullable: true
        grants_visibility:
          type: string
          enum:
            - full
            - limited
        hidden_by_role:
          type: object
          description: Present when access grants are only partially visible to the caller.
          additionalProperties:
            type: object
            properties:
              people:
                type: integer
              teams:
                type: integer
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
      description: >-
        A personal API key or an [OAuth 2.0](/api-reference/oauth) access token.
        Personal API keys also require the `x-auth-key` header with your user
        ID.

````